## pg-permissions 1.3

=== Makefile ===
EXTENSION = pg_permissions
DATA = pg_permissions--*.sql
DOCS = README.pg_permissions
REGRESS = sample

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-permissions (1.3-3.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 16 Sep 2024 15:38:26 +0200

pg-permissions (1.3-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Sep 2024 15:38:26 +0200

pg-permissions (1.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 18:33:59 +0200

pg-permissions (1.3-1) unstable; urgency=medium

  * New upstream version 1.3.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Jun 2024 15:19:38 +0200

pg-permissions (1.2-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Tue, 28 May 2024 15:00:04 +0200

=== debian/control ===
Source: pg-permissions
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/cybertec-postgresql/pg_permissions
Vcs-Browser: https://salsa.debian.org/postgresql/pg-permissions
Vcs-Git: https://salsa.debian.org/postgresql/pg-permissions.git

Package: postgresql-10-pg-permissions
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: see all permissions in a PostgreSQL database
 pg_permissions is a simple set of views to see all permissions in a PostgreSQL
 database.

Package: postgresql-11-pg-permissions
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: see all permissions in a PostgreSQL database
 pg_permissions is a simple set of views to see all permissions in a PostgreSQL
 database.

Package: postgresql-12-pg-permissions
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: see all permissions in a PostgreSQL database
 pg_permissions is a simple set of views to see all permissions in a PostgreSQL
 database.

Package: postgresql-13-pg-permissions
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: see all permissions in a PostgreSQL database
 pg_permissions is a simple set of views to see all permissions in a PostgreSQL
 database.

Package: postgresql-14-pg-permissions
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: see all permissions in a PostgreSQL database
 pg_permissions is a simple set of views to see all permissions in a PostgreSQL
 database.

Package: postgresql-15-pg-permissions
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: see all permissions in a PostgreSQL database
 pg_permissions is a simple set of views to see all permissions in a PostgreSQL
 database.

Package: postgresql-16-pg-permissions
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: see all permissions in a PostgreSQL database
 pg_permissions is a simple set of views to see all permissions in a PostgreSQL
 database.

Package: postgresql-17-pg-permissions
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: see all permissions in a PostgreSQL database
 pg_permissions is a simple set of views to see all permissions in a PostgreSQL
 database.

## pg-permissions 1.4

=== debian/changelog ===
pg-permissions (1.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117282)
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:24:17 +0200

pg-permissions (1.4-1) experimental; urgency=medium

  * New upstream version 1.4.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Aug 2025 13:04:52 +0200

=== debian/control ===
Source: pg-permissions
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/cybertec-postgresql/pg_permissions
Vcs-Browser: https://salsa.debian.org/postgresql/pg-permissions
Vcs-Git: https://salsa.debian.org/postgresql/pg-permissions.git

Package: postgresql-18-pg-permissions
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: see all permissions in a PostgreSQL database
 pg_permissions is a simple set of views to see all permissions in a PostgreSQL
 database.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all README.*

# if the package does not support building from subdirectories, use
# `--with pgxs_loop` above.
#
# change the way tests are run:
# override_dh_pgxs_test:
#	+pg_buildext installcheck . . postgresql-%v-permissions

# classic `pg_buildext` interface:

#include /usr/share/postgresql-common/pgxs_debian_control.mk
#
#override_dh_auto_build:
#	+pg_buildext build build-%v
#
#override_dh_auto_test:
#	# nothing to do here, see debian/tests/* instead
#
#override_dh_auto_install:
#	+pg_buildext install build-%v postgresql-%v-permissions
#
#override_dh_installdocs:
#	dh_installdocs --all README.*
#
#override_dh_auto_clean:
#	+pg_buildext clean build-%v
#
#%:
#	dh $@
